package cn.org.zx.common.dispartPage;

public class CreateDispartPage {
	private int pageNo;
	private int pageTotal;
	private String actionName;
	public CreateDispartPage(int intpagetotal,int intpageNo,String stractionName){
		this.pageTotal = intpagetotal;
		this.pageNo = intpageNo;				//当前页
		this.actionName = stractionName;
	}
	@Override
    public String toString(){
		StringBuffer sbPage = new StringBuffer("");
		
		if(pageNo>pageTotal){ 
			sbPage.append("");
		}
		else
		{	
			int inttemp = pageNo;
			sbPage.append("<a class=\"cur\">"+String.valueOf(inttemp)+"</a>");
			if(inttemp-1>0) sbPage.insert(0,"<a href='#' onclick=\"javascript:"+actionName+"('"+String.valueOf(inttemp-1)+"');\">"+String.valueOf(inttemp-1)+"</a>");	
			if(inttemp-2>0) sbPage.insert(0,"<a href='#' onclick=\"javascript:"+actionName+"('"+String.valueOf(inttemp-2)+"');\">"+String.valueOf(inttemp-2)+"</a>");	
			if(inttemp-3>0) sbPage.insert(0,"<a href='#' onclick=\"javascript:"+actionName+"('"+String.valueOf(inttemp-3)+"');\">"+String.valueOf(inttemp-3)+"</a>");	
			if(inttemp-4>0) sbPage.insert(0,"<a href='#' onclick=\"javascript:"+actionName+"('"+String.valueOf(inttemp-4)+"');\">"+String.valueOf(inttemp-4)+"</a>");	
			if(inttemp-5==1) sbPage.insert(0,"<a href='#' onclick=\"javascript:"+actionName+"('"+String.valueOf(inttemp-5)+"');\">"+String.valueOf(inttemp-5)+"</a>");
			if(inttemp-5>1){ sbPage.insert(0,"<a>...</a>");sbPage.insert(0,"<a href='#' onclick=\"javascript:"+actionName+"('1');\">1</a>");}
			if(inttemp+1<=pageTotal) sbPage.append("<a href='#' onclick=\"javascript:"+actionName+"('"+String.valueOf(inttemp+1)+"');\">"+String.valueOf(inttemp+1)+"</a>");	
			if(inttemp+2<=pageTotal) sbPage.append("<a href='#' onclick=\"javascript:"+actionName+"('"+String.valueOf(inttemp+2)+"');\">"+String.valueOf(inttemp+2)+"</a>");	
			if(inttemp+3<=pageTotal) sbPage.append("<a href='#' onclick=\"javascript:"+actionName+"('"+String.valueOf(inttemp+3)+"');\">"+String.valueOf(inttemp+3)+"</a>");	
			if(inttemp+4<=pageTotal) sbPage.append("<a href='#' onclick=\"javascript:"+actionName+"('"+String.valueOf(inttemp+4)+"');\">"+String.valueOf(inttemp+4)+"</a>");	
			if(inttemp+5==pageTotal) sbPage.append("<a href='#' onclick=\"javascript:"+actionName+"('"+String.valueOf(inttemp+5)+"');\">"+String.valueOf(inttemp+5)+"</a>");
			if(inttemp+5<pageTotal){ sbPage.append("<a>...</a>");sbPage.append("<a href='#' onclick=\"javascript:"+actionName+"('"+String.valueOf(pageTotal)+"');\">"+String.valueOf(pageTotal)+"</a>");}	
		}
		return sbPage.toString();
	}
	
	public static void main(String args[])
	{			
		CreateDispartPage tt = new CreateDispartPage(8,1,"doSearchByPage");
		System.out.println(tt.toString());
    }
}
